WordPress.org

Ready to get started?Download WordPress

Forums

Wordfence Security
Login issues with Wordfence (8 posts)

  1. Mededot
    Member
    Posted 7 months ago #

    Hello, I am having quite an issue logging in to my site. I use Wordfence for securing all my wordpress sites. And this is the first time im seeing this.

    I am using a microjobs theme called pricerr. Clicking on Login on the Menu takes me to the login page but with the following error at the top.

    Warning: Parameter 2 to wordfence::authActionNew() expected to be a reference, value given in /home/mededot/public_html/fiverr/wp-includes/plugin.php on line 470

    If i proceed to login with my admin details, i get the following bunch of errors, hence I am unable to login.

    Warning: Parameter 2 to wordfence::authActionNew() expected to be a reference, value given in /home/mededot/public_html/fiverr/wp-includes/plugin.php on line 470

    Warning: Cannot modify header information - headers already sent by (output started at /home/mededot/public_html/fiverr/wp-includes/plugin.php:470) in /home/mededot/public_html/fiverr/wp-includes/pluggable.php on line 861

    Warning: Cannot modify header information - headers already sent by (output started at /home/mededot/public_html/fiverr/wp-includes/plugin.php:470) in /home/mededot/public_html/fiverr/wp-includes/pluggable.php on line 862

    Warning: Cannot modify header information - headers already sent by (output started at /home/mededot/public_html/fiverr/wp-includes/plugin.php:470) in /home/mededot/public_html/fiverr/wp-includes/pluggable.php on line 863

    Warning: Cannot modify header information - headers already sent by (output started at /home/mededot/public_html/fiverr/wp-includes/plugin.php:470) in /home/mededot/public_html/fiverr/wp-includes/pluggable.php on line 1121

    I have also made complaints on the theme support forum but the guys on there have taken a look at it and say its not from the theme. Any help will be apreciated. Thanks,

    https://wordpress.org/plugins/wordfence/

  2. CultDoctor
    Member
    Posted 7 months ago #

    I just installed it and now can't get into the front or backend of my site. My IP is not blocked. It just can't find anything. When I go to the home page and click "login", it allows me to enter the user and pass (I then get an email that admin logged in) but on the front end, I get:

    "It seems we can’t find what you’re looking for."

    Per the security recommendadtion, I changed the mysite.com/wp-admin to something different like mysite.com/backdoor

    I am certain that is where the problem is. How do I uninstall the Wordfence if if I can't log into the front or back? Will going into filemanager and deleting the folder work?

  3. Mededot
    Member
    Posted 7 months ago #

    Hello, CultDoctor, you can temporarily deactivate the plugin by renaming the wordfence folder via filemanager.

  4. xplorion
    Member
    Posted 4 months ago #

    Mededot what did you do to fix the login issue?

  5. Mededot
    Member
    Posted 4 months ago #

    Well, i didn't particularly fix it yet, I have been working on the site without activating WordFence. All my discussions with the Pricerr Theme people (Which i find to be quite inadequate support) has yielded nothing fruitful.

    The best explanation they have given me so far is that it may be an issue with my server and that i should change hosts.

    Would be glad if anyone could help with this.

  6. xplorion
    Member
    Posted 4 months ago #

    Are you running multi-site?

  7. Mededot
    Member
    Posted 4 months ago #

    No i'm not running MultiSite. I actually have a reseller account hosting with Hostgator where all my wordpress sites are hosted. I have never got any issues with Wordfence on any of my sites.

  8. mwrusnak
    Member
    Posted 4 months ago #

    Are you using any other login-related plugins, such as a "log in with facebook" type?

    Or possibly another security plugin that has a "hide PHP version" option?

    Mededot: Is this site on the same host as your others that are running Wordfence without any problems? Wordfence has a comment near authActionNew() about working around an issue prior to PHP 5.4.0, but if it's on the same server, that probably wouldn't be the problem (unless individual accounts can be assigned to a certain version of PHP in the reseller software?)

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.